<?xml version="1.0" encoding="UTF-8"?>
<configuration>
    <!-- 增加logback核心组件的日志级别，以查看详细的初始化信息 -->
    <logger name="ch.qos.logback" level="DEBUG"/>
    <logger name="ch.qos.logback.classic.util.ContextInitializer" level="TRACE"/>
    
    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <charset>UTF-8</charset>
            <pattern>%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n</pattern>
        </encoder>
    </appender>
    <appender name="DB" class="ch.qos.logback.classic.db.DBAppender">

    </appender>

    <!-- 添加 FileAppender -->
    <appender name="FILE" class="ch.qos.logback.core.FileAppender">
        <file>logs/application.log</file> <!-- 日志文件路径 -->
        <append>true</append> <!-- 是否追加到文件 -->
        <encoder>
            <charset>UTF-8</charset>
            <pattern>%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n</pattern>
        </encoder>
    </appender>

    <root level="DEBUG">
        <appender-ref ref="STDOUT"/> <appender-ref ref="FILE"/>
    </root>
    <logger name="com.ecep.contract.manager" level="warn"/>
    <logger name="com.ecep.contract.manager.Desktop" level="debug"/>
    <logger name="com.ecep.contract.manager.SpringApp" level="debug"/>
    <logger name="com.ecep.contract.manager.ui.service" level="info"/>

    <logger name="com.ecep.contract.manager.ui.table.AbstEntityTableTabSkin" level="debug"/>
    <logger name="com.ecep.contract.manager.ui.table.cell.AsyncUpdateTableCell" level="warn"/>
    <logger name="com.ecep.contract.manager.ui.AbstEntityManagerSkin" level="debug"/>
    <logger name="com.ecep.contract.manager.ui.BaseController" level="debug"/>
    <logger name="com.ecep.contract.manager.ui.controller" level="info"/>
    <logger name="com.ecep.contract.manager.ui.task.MonitoredTask" level="debug"/>
    <logger name="com.ecep.contract.manager.ds.other.controller.HomeWindowController" level="debug"/>
    <logger name="com.ecep.contract.manager.ds.company.controller.CompanyWindowController" level="debug"/>
    <logger name="com.ecep.contract.manager.ds.customer.controller.CompanyCustomerWindowController" level="debug"/>
    <logger name="com.ecep.contract.manager.cloud" level="debug"/>
    <logger name="com.ecep.contract.manager.cloud.u8.ContractSyncTask" level="debug"/>


</configuration>